Subject: bug#21667: 24.5; color-theme-buffer-local package misses a dependency

From: Drew Adams <[email-masked]>
Date: Sun, 11 Oct 2015 18:28:25 -0700 (PDT)

> For my education, may I ask which part of the emacs package system
> (package.el ?) belongs to emacs proper?  The whole thing?  It's
> always hard to know which part of a big system (another example is LaTeX)
> is maintained by whom.

Someone else can answer that better than I.  But I think that
all of the code involved specifically with accessing, downloading,
and installing Emacs libraries belongs to Emacs.  But perhaps it
also depends on what you really mean - by "belong" and by "Emacs
proper", for instance.  Certainly `package.el' is the heart of
what is involved, if it is not all of it, and that is part of
GNU Emacs as distributed.

> > It is unfortunate that when Emacs added "custom" themes it
> > introduced a lot of confusion wrt custom themes vs color themes.
> > This was compounded by some (rash) statements that the former
> > somehow replaces the latter.  The two are different, with only
> > some overlapping features.
> [. . .]
> 
> So, are both"theming systems" themselves part of emacs proper, even
> if each theme is 3rd party?

Dunno what "Emacs proper" means; sorry.  `color-theme.el' is
not included as part of GNU Emacs.  It is a 3rd-party library.